Package org.springframework.web.service.annotation

# Annotation Interface PutExchange

@Target(METHOD) @Retention(RUNTIME) @Documented @HttpExchange(method="PUT") public @interface PutExchange
Shortcut for `@HttpExchange` for HTTP PUT requests.

Since:
  6.0
Author:
  Rossen Stoyanchev

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String[]`
`accept`
Alias for `HttpExchange.accept()`.
`String`
`contentType`
Alias for `HttpExchange.contentType()`.
`String[]`
`headers`
Alias for `HttpExchange.headers()`.
`String`
`url`
Alias for `HttpExchange.url()`.
`String`
`value`
Alias for `HttpExchange.value()`.

## Element Details

### value

@AliasFor(annotation=HttpExchange.class) String value
Alias for `HttpExchange.value()`.

Default:
  ""

### url

@AliasFor(annotation=HttpExchange.class) String url
Alias for `HttpExchange.url()`.

Default:
  ""

### contentType

@AliasFor(annotation=HttpExchange.class) String contentType
Alias for `HttpExchange.contentType()`.

Default:
  ""

### accept

@AliasFor(annotation=HttpExchange.class) String[] accept
Alias for `HttpExchange.accept()`.

Default:
  {}

### headers

@AliasFor(annotation=HttpExchange.class) String[] headers
Alias for `HttpExchange.headers()`.

Since:
  6.2

Default:
  {}